package de.intevation.gnv.math;

import java.util.Map;
import java.util.HashMap;
import java.util.List;

import java.io.Serializable;

/**
 *  @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class AttributedPoint2ds
implements   Serializable
{
    protected List<? extends Point2d> points;
    protected Map                     attributes;

    public AttributedPoint2ds() {
    }

    public AttributedPoint2ds(List<? extends Point2d> points) {
        this.points = points;
    }

    public Object getAttribute(Object key) {
        return attributes != null
            ? attributes.get(key)
            : null;
    }

    public void setAttribute(Object key, Object value) {
        if (attributes == null) {
            attributes = new HashMap();
        }
        attributes.put(key, value);
    }

    public List<? extends Point2d> getPoints() {
        return points;
    }

    public void setPoints(List<? extends Point2d> points) {
        this.points = points;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
